#174 configuration failed on Solaris 2.8

Include_in_3.2
closed
htdig (103)
5
2004-03-12
2003-09-03
Anonymous
No

We are trying to install htdig 3.2.0b3 on our Solaris
2.8 machine using gcc 3.3.
However, the configuration failed with the following
error message:

checking whether the C compiler (gcc ) is a
cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for ld used by GCC... (cached) /usr/ccs/bin/ld
checking if the linker (/usr/ccs/bin/ld) is GNU ld...
(cached) no
checking for BSD-compatible nm... (cached)
/usr/ccs/bin/nm -p
checking whether ln -s works... (cached) yes
loading cache ./config.cache within ltconfig
ltconfig: you must specify a host type if you use
`--no-verify'
Try `ltconfig --help' for more information.
configure: error: libtool configure failed

We already specified the host type in the configuration
option by:

setenv CPPFLAGS "-Wno-deprecated"
setenv CXXFLAGS "-Wno-deprecated"
setenv CFLAGS "-O2
-I/depot/package/gcc_3.3/include/c++/3.3/backward"
setenv LDFLAGS "-L/depot/package/gcc_3.3/lib"
./configure \ --prefix=/depot/package/htdig_3.2.0b3 \ --with-config-dir=/depot/package/htdig_3.2.0b3/conf
\

--with-common-dir=/depot/package/htdig_3.2.0b3/share \ --with-database-dir=/var/htdig_3.2.0b3/data \

--with-cgi-bin-dir=/depot/package/htdig_3.2.0b3/cgi-bin
\ --with-image-dir=/depot/package/htdig_3.2.0b3/image
\

--with-search-dir=/depot/package/apache_2.0.46/htdocs/web_kit/htdig
\ --with-zlib=/depot/package/zlib_1.1.4 \ --enable-bigfile \ --host=solaris2.8

Any ideas what might go wrong? Thanks.

Discussion

  • Gabriele Bartolini

    Logged In: YES
    user_id=28915

    Many bugs have been fixed since the version you are using.
    Please try the latest snapshot and let is know whether the
    problem persists.

    The latest ht://Dig development snapshots are available at
    <http://www.htdig.org/files/snapshots/>. There are
    snapshots of development code for both the 3.1.x stable
    series, and the 3.2.0 beta series. Use whichever meets your
    needs best. Most known bugs are already fixed in the
    snapshots, but be aware that they are still works in progress
    and may contain new bugs.

     
  • Gabriele Bartolini

    Logged In: YES
    user_id=28915

    Many bugs have been fixed since the version you are using.
    Please try the latest snapshot and let is know whether the
    problem persists.

    The latest ht://Dig development snapshots are available at
    <http://www.htdig.org/files/snapshots/>. There are
    snapshots of development code for both the 3.1.x stable
    series, and the 3.2.0 beta series. Use whichever meets your
    needs best. Most known bugs are already fixed in the
    snapshots, but be aware that they are still works in progress
    and may contain new bugs.

     
  • Neal Richter

    Neal Richter - 2003-10-13
    • milestone: --> Include_in_3.2
     
  • Gabriele Bartolini

    • assigned_to: nobody --> angusgb
     
  • Gabriele Bartolini

    Logged In: YES
    user_id=28915

    If you use GCC 3.3 with the latest snapshot, you don't need
    to set anymore:

    - CPPFLAGS "-Wno-deprecated"
    - CXXFLAGS "-Wno-deprecated"
    - CFLAGS "-O2 -I/depot/package/gcc_3.3/include/c++/3.3/backward"

    I am not sure about this (as this should be handled by
    default by the linker - I guess):
    - LDFLAGS "-L/depot/package/gcc_3.3/lib"
    as I don't have a Solaris system available to test.

    Could you please try and let us know?

    Thanks
    -Gabriele

     
  • Gabriele Bartolini

    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks